Package org.eclipse.m2m.atl.engine.extractors.xml

# Class XMLExtractor

java.lang.Object
org.eclipse.m2m.atl.engine.extractors.xml.XMLExtractor

All Implemented Interfaces:
  `Extractor`

public class XMLExtractor extends Object implements Extractor

## Constructor Summary

Constructors
Constructor
Description
`XMLExtractor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(ASMModel source, OutputStream target, Map params)`
Performs the extraction.
`void`
`extract(ASMModel format, ASMModel extent, OutputStream out)`
`Map`
`getParameterTypes()`
returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value.
`String`
`getPrefix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLExtractor

public XMLExtractor()

## Method Details

### getParameterTypes

public Map getParameterTypes()
Description copied from interface: `Extractor`
returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

Specified by:
  `getParameterTypes` in interface `Extractor`

### extract

public void extract(ASMModel source, OutputStream target, Map params)
Description copied from interface: `Extractor`
Performs the extraction.

Specified by:
  `extract` in interface `Extractor`
Parameters:
  `source` - The model to extract.
  `target` - The target OutputStream. Note that other target kinds can be used using params.
  `params` - A Map of additional parameters. The key is the name of the parameter.

### getPrefix

public String getPrefix()

Specified by:
  `getPrefix` in interface `Extractor`

### extract

public void extract(ASMModel format, ASMModel extent, OutputStream out)

Specified by:
  `extract` in interface `Extractor`
Parameters:
  `format` -
  `extent` -
  `out` -